Subject: Re: CCL:PC vs. RISC timings

From: [email-masked] (Graham Hurst)
Date: Fri, 19 Aug 1994 14:34:55 -0400

A few CCLers have requested more specifics of the HyperChem benchmarks
for the Pentium and low-cost RISC machines that I have reported:

> MNDO energy and gradient for C60, converged to 1e-2, without DIIS:
> 
> Computer                  Time (s)     Rel. speed
> 486DX 50 MHz                375             1
> Pentium 90 MHz              87.6           4.28
> SGI Indy 100 Mhz            77.8           4.82
> IBM RS/6000-250 66 MHz      51.8           7.24
> DEC 3000 200 MHz (I think)  42.4           8.84
> 
> The first two numbers are for full HyperChem (user interface and
> calculation module) running on the same processor under Windows 3.11.
> The last three are for the computation module running on the unix
> computer with the HyperChem user interface running on a 486.  All
> times are wall clock times for start to finish observed on the PC.

All times are for HyperChem R4.  The 486DX 50 MHz is a clone with
128k secondary cache and 20Mb RAM.   The Pentium 90 MHz is a
Dell Dimension XPS 90 with 256k secondary cache and 16Mb RAM.
The SGI Indy 100MHz is and R4000SC with 1Mb secondary cache and
64Mb RAM.  I don't know the cache/memory configurations of the
IBM or DEC.  All times were measured with a hand held stopwatch
(ever heard of the Chang modification?) when machines were "quiet"
(no other users) but not in single user mode.  The maximal optimization
switches that produced working code (-O2 for the RISCs I believe) were
set for all compilations, and the source code was identical.

I'm sorry if the earlier absence of these details caused any confusion.
IMHO Pentium performance is respectable and is very competitive
for price/performance.

Cheers,

Graham
------------
Graham Hurst ([email-masked])
Hypercube Inc, 7-419 Phillip St, Waterloo, Ont, Canada N2L 3X2 (519)725-4040
Info requests to: [email-masked]    Support questions to: [email-masked]
Email group: Send "subscribe hyperchem" to [email-masked]